Subject: IPP> "Asynchronous Notification"

From: [email-masked] (Philip Thambidurai)
Date: Thu, 17 Jul 1997 14:48:23 -0400

The Requirements document states that "clients must be able to request 
     async notification for printer events such as ... job completion, ..."
     
     Is this REALLY provided in the protocol?  To me, this appears to imply 
     that when the job is completed, the printer will send a message to the 
     client (ASYNCHRONOUSLY). 
     
     While the GetJobs response could contain a completed job list, it is 
     stricly SYNCHRONOUS ???  (relative to GetJobs request).
     
     Would it make sense to call it "Conditional notification" --- meaning 
     that the client could find out about job completion by issuing the 
     synchronous GetJobs, conditional on the printer still keeping track of 
     the particular completed job status.

     Philip Thambidurai
     [email-masked]